<?php
/**
 * OpenSQLManager
 *
 * Free Database manager for Open Source Databases
 *
 * @package		OpenSQLManager
 * @author 		Timothy J. Warren
 * @copyright	Copyright (c) 2012
 * @link 		https://github.com/aviat4ion/OpenSQLManager
 * @license 	http://philsturgeon.co.uk/code/dbad-license
 */

// --------------------------------------------------------------------------

namespace OpenSQLManager;

/**
 * Class to simplify dealing with GtkTreeView
 *
 * @package OpenSQLManager
 * @subpackage Widgets
 */
class Data_Grid extends \wxGrid {

	/**
	 * GtkTreeStore object
	 * 
	 * @var wxGridTableBase
	 */
	protected $model;

	/**
	 * Create the object
	 *
	 * @param object $model
	 */
	public function __construct($model = null)
	{
		if ( ! is_null($model))
		{
			$this->model = $model;
			parent::__construct($this->model);
		}
		else
		{
			parent::__construct();
		}
	}
}
// End of data_grid.php